<?php

namespace GDPRGeoPopup;

class PluginOptions
{
    public $version;
    public $pluginPath;
    public $name;
    public $tableName;
    public $menuslug;
    public $popupsTable;
    public $popupPagesTable;
    public $usersTable;

    public function __construct()
    {
        $this->version = "1.0.0";
        $this->name = "GDPR Pro Elite";
        $this->safename = "gdpr-pro";
        $this->menuslug = "gdprpro";
        $this->pluginPath = dirname(__FILE__);

        $this->popupsTable = "gpdr_geo_popups";
        $this->popupPagesTable = "gpdr_geo_popup_pages";
        $this->usersTable = "gpdr_geo_popup_users";
    }
}