<?php
/*
Plugin Name: GDPR Pro Elite
Description: GDPR geo popups
AUTHOR: GDPR Pro
AUTHOR URI:http://gdprpro.io/
VERSION:1.3
*/

if (class_exists('ComposerAutoloaderInitebaf2307648524fe30234d0d4c9b64db')) {
    echo "GDPR Pro LITE plugin already activated. Please deactivate it before activating the Elite version.";
    die;
}

require_once("vendor/autoload.php");

function geopopup_activate() {
    $plugin = new \GDPRGeoPopup\Plugin();
    $plugin->activate();
}

function geopopup_deactivate() {
    $plugin = new \GDPRGeoPopup\Plugin();
    $plugin->deactivate();
}

function geopopup_run() {
    $plugin = new \GDPRGeoPopup\Plugin();
    $plugin->run();
}

register_activation_hook( __FILE__, 'geopopup_activate' );
register_deactivation_hook( __FILE__, 'geopopup_deactivate' );

/**
 * bootstrap the plugin
 */
geopopup_run();

/**
 * Update checker
 */
$opts = new \GDPRGeoPopup\PluginOptions();
require 'plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
    'http://gdprproplugin.com/content/plugin.json',
    __FILE__, //Full path to the main plugin file or functions.php.
    $opts->menuslug
);