<script>
    gdprGeoPopupConfig = {
        color: '<?php echo $popup->color; ?>',
        textColor: '<?php echo $popup->text_color; ?>',
        isRequired: <?php echo $popup->is_required; ?>,
        popupId: <?php echo $popup->id; ?>
    }
</script>

<div class="gdpr-geopopup-wrap">

    <?php if (!$popup->is_required) { ?>
        <span class="gdpr-geopopup-close-popup">x</span>
    <?php } ?>

    <div class="gdpr-geopopup-wrap-inner">
        <h2 style="color: <?php echo $popup->text_color; ?>"><?php echo $popup->title; ?></h2>

        <p style="text-align: center"><?php echo $popup->description ?></p>
        <form id="gdpr-geopopup-formdata" method="POST"
              action="<?php echo site_url('wp-admin/admin-post.php?action=gdprpopup_store_data'); ?>">
            <div class="gdpr-geopopup-mainformwrap">
                <input type="hidden" value="<?php echo $popup->id; ?>" name="pid">
                <input type="hidden"
                       value="<?php echo $popup->redirect_link ? $popup->redirect_link : get_the_permalink(); ?>"
                       name="continueurl">


                <input type="text" id="gdpr-geopopup-first_name" name="first_name"
                       placeholder="First name">


                <input type="text" id="gdpr-geopopup-last_name" name="last_name" placeholder="Last name">


                <input type="text" id="gdpr-geopopup-email" name="email"
                       placeholder="Email">

                <div class="gdpr-geopopup-moreinfowrap">
                    <div class="gdpr-geopopup-checkboxwrap">
                        <input type="checkbox" id="gdpr-geopopup-checkbox-s" name="gdpr-geopopup-consent">
                        <label for="gdpr-geopopup-checkbox-s"></label>
                    </div>

                    <div class="gdpr-geopopup-infotextwrap">
                        Yes, I have read and agree with
                        <a href="" class="gdpr-geopopup-tos-link">Terms of Service</a> and I
                        would like to receive emails about your products and special offers.

                        <br><br>
                        We will process and store your data in accordance with our <a href="<?php echo $popup->pp_link; ?>" target="_blank">Privacy Policy</a>.
                        You may withdraw your consent at any time <?php if ($popup->email || $popup->preference_link) { ?>by <?php } ?><?php if ($popup->email) { ?>emailing us at <a href="mailto:<?php echo $popup->email; ?>"><?php echo $popup->email; ?></a><?php } ?><?php if ($popup->email && $popup->preference_link) { ?> OR in <?php } ?><?php if ($popup->preference_link) { ?><a href="<?php echo $popup->preference_link; ?>" target="_blank">updating your preferences here</a><?php } ?>.
                    </div>
                    <div class="gdprclearfix"></div>
                </div>

                <div class="gdpr-geopopup-validation-errors">

                </div>

                <button type="submit"
                        style="background-color: <?php echo $popup->button_color; ?>;  color: <?php echo $popup->button_text_color; ?>">
                    <?php echo $popup->submit_button_text; ?>
                </button>

                <?php if (!$popup->is_required) { ?>
                    <!--<button class="gdpr-geopopup-close-popup-button" type="button"
                            style="background-color: <?php echo $popup->button_color; ?>;  color: <?php echo $popup->button_text_color; ?>">
                        <?php echo $popup->cancel_button_text; ?>
                    </button>-->
                <?php } ?>
            </div>
            <div class="gdpr-geopopup-tosformwrap">
                <textarea disabled rows="6"
                          style="color: <?php echo $popup->text_color; ?>; border-color: <?php echo $popup->text_color; ?>;"><?php echo $popup->terms ?></textarea><br>

                <button type="submit" class="gdpr-geopopup-agreetos-button"
                        style="background-color: <?php echo $popup->button_color; ?>;  color: <?php echo $popup->button_text_color; ?>">
                    Agree
                </button>
                <button type="submit" class="gdpr-geopopup-back-button"
                        style="background-color: <?php echo $popup->button_color; ?>;  color: <?php echo $popup->button_text_color; ?>">
                    Back
                </button>
            </div>
        </form>
    </div>
</div>
<div class="gdpr-geopopup-curtain"></div>