<div class="wrap">
    <h1 class="wp-heading-inline"><?= esc_html(get_admin_page_title()); ?></h1>
    <a href="<?php echo site_url('wp-admin/admin-post.php?action=gdprpopup_download_users');?>" class="page-title-action" target="_blank">Export All</a>
    <a href="<?php echo site_url('wp-admin/admin-post.php?action=gdprpopup_download_users_consent');?>" class="page-title-action" target="_blank">Export only those who gave consent</a>

    <form method="POST" action="" style="display: inline">
        <p class="search-box">
            <label class="screen-reader-text" for="post-search-input">Search Users:</label>
            <input type="search" id="post-search-input" name="search" value="" placeholder="Email or Name" style="height: 28px; margin: 0 4px 0 0;" />
            <input type="submit" id="search-submit" class="button button-primary" value="Search Users"  />
        </p>
    </form>

    <?php if (isset($_POST['search'])) { ?>
        <h3 style="margin: 20px 0;">Results for "<?php echo $_POST['search'] ?>"...</h3>
    <?php } ?>

    <?php if (isset($_POST['uid'])) { ?>
        <div class="notice notice-success is-dismissible">
            <p>User removed!</p>
        </div>
    <?php } ?>

    <hr class="wp-header-end">


    <table class="widefat fixed" cellspacing="0">
        <thead>
        <tr>

            <th id="cb" class="manage-column column-cb" scope="col">First Name</th>
            <th id="columnname" class="manage-column column-columnname" scope="col">Last Name</th>
            <th id="columnname" class="manage-column column-columnname " scope="col">Email</th>
            <th id="columnname" class="manage-column column-columnname " scope="col">Consent given?</th>
            <th id="columnname" class="manage-column column-columnname " scope="col">Popup</th>
            <th id="columnname" class="manage-column column-columnname " scope="col">Signed up at</th>
            <th id="columnname" class="manage-column column-columnname " scope="col"></th>
        </tr>
        </thead>

        <tbody>
        <?php foreach ($users as $user) { ?>
            <tr>
                <td class="column-columnname">
                    <?php echo $user->first_name; ?>
                </td>
                <td class="column-columnname">
                    <?php echo $user->last_name; ?>
                </td>
                <td class="column-columnname">
                    <?php echo $user->email; ?>
                </td>
                <td class="column-columnname">
                    <?php echo $user->consent ? "YES" : "NO"; ?>
                </td>
                <td class="column-columnname">
                    <?php echo $user->internal_name; ?> (ID <?php echo $user->pid; ?>)
                </td>
                <td class="column-columnname">
                    <?php echo $user->time; ?>
                </td>
                <td class="column-columnname">
                    <form action="" method="POST">
                        <input type="hidden" name="uid" value="<?php echo $user->id; ?>">
                        <button type="submit"class="button button-delete">Remove User</button>
                    </form>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>

    <div class="tablenav bottom">
        <?php if ($nrOfPages > 1) { ?>
            <div class="tablenav-pages"><span class="displaying-num">Total: <?php echo $totalUsers ?> users</span>
                    <?php if (($currentPage+1) != 1) { ?>
                        <a class="first-page" href="<?php echo admin_url('admin.php?page=' . $this->pluginOptions->menuslug . '-users&paged=0' ) ?>">
                            <span class="screen-reader-text">First page</span><span aria-hidden="true">«</span>
                        </a>
                        <a class="prev-page" href="<?php echo admin_url('admin.php?page=' . $this->pluginOptions->menuslug . '-users&paged=' . ($currentPage-1) ) ?>">
                            <span class="screen-reader-text">Previous page</span><span aria-hidden="true">‹</span>
                        </a>

                    <?php } ?>

                    <span class="screen-reader-text">Current Page</span>
                    <span id="table-paging" class="paging-input">
                        <span class="tablenav-paging-text"><?php echo $currentPage+1; ?> of <span class="total-pages"><?php echo $nrOfPages; ?></span>
                        </span>
                    </span>

                    <?php if (($currentPage+1) != $nrOfPages) { ?>
                        <a class="next-page" href="<?php echo admin_url('admin.php?page=' . $this->pluginOptions->menuslug . '-users&paged=' . ($currentPage+1) ) ?>">
                            <span class="screen-reader-text">Next page</span><span aria-hidden="true">›</span>
                        </a>
                        <a class="last-page" href="<?php echo admin_url('admin.php?page=' . $this->pluginOptions->menuslug . '-users&paged=' . ($nrOfPages-1) ) ?>">
                            <span class="screen-reader-text">Last page</span><span aria-hidden="true">»</span>
                        </a>
                    <?php } ?>
                </span>
            </div>
        <?php } ?>
        <br class="clear">
    </div>

</div>